%define ver     2.1.0

Summary: LSB Application Checking tool
Name: lsb-appchk
Version: %ver
Release: 1
Copyright: FSG
Group: Development/Tools
Buildroot: /var/tmp/lsb-appchk-root
AutoReqProv: no
Source: lsb-appchk-%ver.tar.gz
%ifarch i386 i486 i585 i686 athlon
PreReq: lsb-core-ia32 >= 2.0
%endif
%ifarch ia64
PreReq: lsb-core-ia64 >= 2.0
%endif
%ifarch ppc
PreReq: lsb-core-ppc32 >= 2.0
%endif
%ifarch ppc64
PreReq: lsb-core-ppc64 >= 2.0
%endif
%ifarch s390
PreReq: lsb-core-s390 >= 2.0
%endif
%ifarch s390x
PreReq: lsb-core-s390x >= 2.0
%endif
%ifarch x86_64
PreReq: lsb-core-amd64 >= 2.0
%endif

%description
lsbappchk is a program which forms part of a series of checks that a
package is LSB compliant. It verifies that a supplied binary only uses
dynamically linked symbols that are 

a) part of the LSB specification OR
b) in shared libraries in the optionally specified directory (this
   directory and its contents would be packaged with the binary).

%prep
%setup -q

%build
make LSBVERSION=${RPM_PACKAGE_VERSION} LSBAPPCHK_VERSION=${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE} all test

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT/opt/lsb
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-appchk
cp README Licence $RPM_BUILD_ROOT/opt/lsb/doc/lsb-appchk

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/bin/lsbappchk
/opt/lsb/doc/lsb-appchk/README
/opt/lsb/doc/lsb-appchk/Licence
/opt/lsb/man/man1/lsbappchk.1

%changelog
* Tue Feb 18 2003 Christopher Yeoh <cyeoh@samba.org>
- Rebuild 1.3.1 release

* Thu Jun 27 2002 Christopher Yeoh <cyeoh@samba.org>
- Mods for autobuild

* Thu Jun 20 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.2.1
- Various interface fixes
- Adds a version tag to journal

* Mon Jun 17 2002 Christopher Yeoh <cyeoh@samba.org>
- Updated for 1.2
- Resync with 1.2 specification db
- Adds support for PPC32

* Mon May 6 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.4 release

* Mon Apr 29 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.3 release
- Adds support for ia64

* Thu Mar 21 2002 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1.2 release

* Tue Dec 18 2001 Christopher Yeoh <cyeoh@samba.org>
- Update for 1.1 cut of database.

* Tue Oct 4 2001 Christopher Yeoh <cyeoh@samba.org>
- Initial package

